{% extends "base.html" %}
{% load bootstrap_tags %}
{% load bootstrap_pagination %}
{% load custom_tags %}
{% load static %}


{% block content %}
<div class="super-modal">
    <form id="student-submit-form">{% csrf_token %}
        {{ student_form|as_bootstrap_horizontal }}
        <button type="submit" class="btn btn-primary" id="student-submit">Add/Edit student</button>
    </form>
</div>
<button id="add-student" class="btn btn-primary"> + New student</button>
<div class="modal-delete">
    <form id='student-submit-delete' method="post">{% csrf_token %}
        <p align="center">Do you really want to delete this student?</p>
        <p></p>
        <button style="width: 100%" type="submit" class="btn btn-danger" id="student-delete">Delete student</button>
    </form>
</div>
<table class="table" id="data-students">
    <tr>
        <th style="display: none">ID</th>
        <th>Name</th>
        <th>Age</th>
        <th>Course</th>
        <th style="display: none">Email</th>
        <th>Action</th>
    </tr>

    {% for student in students %}
    <tbody class="students" id="{{student.id}}-{{student.name}}-{{student.age}}-{{student.email}}">
        <tr>
            <td style="display: none">{{ student.id }}</td>
            <td>{{ student.name }}</td>
            <td>{{ student.age }}</td>
            <td>
                {% for course in student.course.all %}
                <p>{{ course }}</p>
                {% endfor %}
            </td>
            <td style="display: none">{{ student.email }}</td>
            <td>
                <button class="btn btn-info update">Update</button>
                <button class="btn btn-danger delete"> Delete</button>
            </td>
        </tr>
    </tbody>
    {%  endfor %}
</table>
{% bootstrap_paginate page_obj range=5 show_prev_next="true" show_first_last="true" %}
{% endblock content %}

{% block js %}
<script src="{% static 'js/script_crud.js' %}"></script>
{% endblock js %}